var YLZAes  = function(){
	var staticKey = 'AESKey_LHW@12345',
		staticIvKey = 'AESIvKey_LHW@123',
		keyType = 0; // 密钥类型：0表示静态，1表示动态；

	// 获取16为动态秘钥
	var getDynamicPwd16 = function(staticPwd) {
		var times = new Date().getTime();
		var substrLength = 7;
		var pwd =  times.toString().substr(0, substrLength) + staticPwd;
		return hex_md5(pwd).substr(3, 16);
	};
	
	var getAesKey = function() {
		if (keyType == 0)
			return staticKey;
		var key = getDynamicPwd16(staticKey);
		return key;
	};
	
	var getIvKey = function() {
		if (keyType == 0)
			return staticIvKey;
		var key = getDynamicPwd16(staticIvKey);
		return key;
	};
	
	/**
	 * 加密数据
	 * @param {type} data 待加密的字符串
	 * @param {type} keyStr 秘钥
	 * @param {type} ivStr 向量
	 * @returns {unresolved} 加密后的数据
	 */
	var aesEncrypt = function(data, keyStr, ivStr) {
		var sendData = CryptoJS.enc.Utf8.parse(data);
		var key = CryptoJS.enc.Utf8.parse(keyStr);
		var iv = CryptoJS.enc.Utf8.parse(ivStr);
		var encrypted = CryptoJS.AES.encrypt(sendData, key, {
			iv : iv,
			mode : CryptoJS.mode.CBC,
			padding : CryptoJS.pad.Iso10126
		});
		return CryptoJS.enc.Base64.stringify(encrypted.ciphertext);
	};

	/**
	 *
	 * @param {type} data BASE64的数据
	 * @param {type} key 解密秘钥
	 * @param {type} iv 向量
	 * @returns {undefined}
	 */
	var aesDecrypt = function(data, keyStr, ivStr) {
		var key = CryptoJS.enc.Utf8.parse(keyStr);
		var iv = CryptoJS.enc.Utf8.parse(ivStr);
		//解密的是基于BASE64的数据，此处data是BASE64数据
		var decrypted = CryptoJS.AES.decrypt(data, key, {
			iv : iv,
			mode : CryptoJS.mode.CBC,
			padding : CryptoJS.pad.Iso10126
		});
		return decrypted.toString(CryptoJS.enc.Utf8);
	};
	
	function setKeyType(type) {
		if (type == 0 || type == 1)
			keyType = type;
	}
	
	return {
		getAesKey : function(keyType) {
			setKeyType(keyType);
			return getAesKey();
		},
		getAesIvKey : function (keyType) {
			setKeyType(keyType);
			return getIvKey();
		},
		encrypt : function(data, keyType) {
			setKeyType(keyType);
			return aesEncrypt(data, getAesKey(), getIvKey());
		},
		decrypt : function(data, keykeyType) {
			setKeyType(keyType);
			return aesDecrypt(data, getAesKey(), getIvKey());
		}
	}
}();