Date.prototype.format = function(format) {
	var o = {
		"m+" : this.getMonth() + 1, // month
		"d+" : this.getDate(), // day
		"h+" : this.getHours(), // hour
	};
	if (/(y+)/.test(format)) {
		format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	}
	for ( var k in o) {
		if (new RegExp("(" + k + ")").test(format)) {
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
		}
	}
	return format;
};
var Format = {
	date : function(date) {
		if (!date || date == 'null' || date == '至今')
			return '';
		if (date.length == 4) {
			date = date + "年";
		} else if (date.length == 6) {
			date = date.substring(0, 4) + "年" + date.substring(4) + "月";
		} else if (date.length == 8) {
			date = date.substring(0, 4) + "年" + date.substring(4, 6) + "月" + date.substring(6) + "日";
		}
		return date;
	},
	time : function(time) {
		if (!time || time == 'null')
			return '';
		if (time.length == 4) {
			time = time.substring(0, 2) + ":" + time.substring(2);
			+":00";
		} else if (time.length == 6) {
			time = time.substring(0, 2) + ":" + time.substring(2, 4);
			+":" + time.substring(4);
		}
		return time;
	},
	money : function(money) {
		if (!money || money == 'null')
			return '';
		if (money == '*') {
			return '*';
		}
		var index = money.indexOf(".");
		var len = money.length;
		var buffer = money;
		if (index < 0) {
			buffer += ".00";
			index = len;
		} else if (index == len - 2)
			buffer += "0";

		return "￥" + buffer.substring(0, index + 3);
	},
	idNo : function(idNo) {
		if (!idNo || idNo == 'null')
			return '';
		var len = idNo.length;
		return idNo.substring(0, len - 4) + "****";
	},
	phone : function(phoneNum) {
		if (!phoneNum || phoneNum == 'null')
			return '';
		return phoneNum.substring(0, 3) + "****" + phoneNum.substring(7);
	},
	name : function(name) {
		if (!name || name == 'null')
			return '';
		var str = name[0] + "*";
		if (typeof name[2] != 'undefined')
			str += name[2];
		return str;
	},
	"default" : function(value) {
		if (value == 'null')
			return '';
		return value;
	}
};
// 字段集合
function CodeObj() {
	this.codes = [];
	this.code_id = "";
	this.link_text = "";
	this.link_url = "";
	this.link_param = [];
	this.link_func = "";
	this.link_str = "";
	this.link_func3 = "";
};
// 添加字段
CodeObj.prototype.addCode = function(code, name, format, isTipShow) {
	var code_one = {
		code : code,
		name : name
	};
	if (isTipShow == null || isTipShow == true) {
		code_one.isTipShow = true;
	} else {
		code_one.isTipShow = false;
	}
	if (format != null) {
		code_one.format = format;
	} else {
		code_one.format = "default";
	}
	this.codes.push(code_one);
}
CodeObj.prototype.addLink = function(url, text, param) {
	this.link_url = url;
	this.link_text = text;
	this.link_param = param;
}
CodeObj.prototype.addFunc = function(func, text, str) {
	this.link_func = func;
	this.link_text = text;
	this.link_str = str;
}
CodeObj.prototype.addFunc3 = function(func, text, link_param) {
	this.link_func3 = func;
	this.link_text = text;
	this.link_param = link_param;
}

function Ajax() {
	getAccessToken("makeParams");
	this.BASE_PATH = "http://wx.xmhrss.gov.cn:9010/mMSW/mobile/";
	this.currentPage = 1;// 当前页
	this.maxRows = 10;// 每页条数
	this.isMorePage = false;// 判断是否需要翻页的服务(默认为真)
	this.ajaxFlag = null;
}
// 重置变量
Ajax.prototype.reset = function() {
	this.currentPage = 1;
	this.isMorePage = false;
};

// ajax请求提交
Ajax.prototype.post = function(object) {
	var obj = {
		type : "post",
		timeout : 20000,
		dataType : "json",
		crossDomain : true,
		isEncrypt : true,
		keyType : 0, // 密钥类型：0表示静态，1表示动态；
	};
	// if (object.data && object.data.ssn) {
	// object.data.ylz_token = hex_md5(object.data.ssn + "msxxfwzx");
	// }
	$.extend(obj, object);
	if (this.ajaxFlag == obj.url) {
		return;
	}
	obj.data.currentPage = this.currentPage;
	obj.data.maxRows = this.maxRows;
	this.ajaxFlag = obj.url;
	var self = this;
	var jsonStr = JSON.stringify(object.data ? object.data : {});
	var param = new Object();
	param.YLZEncryptParam = YLZAes.encrypt(jsonStr, obj.keyType);
	param.YLZEncryptType = obj.keyType;
	obj.data = param;
	var ajaxObj = {
		type : obj.type,
		dataType : obj.dataType,
		url : self.BASE_PATH + obj.url,
		data : obj.data,
		contentType : "application/x-www-form-urlencoded; charset=UTF-8",
		success : function(data) {
			console.log(data);
			if (obj.isEncrypt) {
				data = YLZAes.decrypt(data, obj.keyType);
				data = dataToObj(data);
			}
			if (obj.callback) {
				obj.success(data);
			} else {
				style.hide();
				if (data.resultCode != 1) {
					style.tip(data.resultMsg, 3, 2);
					$("#btn_more").hide();
					self.reset();
					return;
				}
				obj.success(data);
				self.isMorePage = data.resultBody.totalPages > self.currentPage;
				if (self.isMorePage) {
					$("#btn_more").css("display", "block");
					self.currentPage++;
				} else {
					$("#btn_more").hide();
					self.reset();
				}
			}
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			if (obj.error)
				obj.error();
		},
		complete : function() {
			if (obj.complete)
				obj.complete();
			self.ajaxFlag = null;
		}
	};
	style.load();
	$.ajax(ajaxObj);
};
function GetQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if (r != null)
		return decodeURI(r[2]);
	return null;
}

var baseData = {
	accessToken : ""
};

function dataToObj(data) {
	try {
		var obj = eval("(" + data + ")");
		return obj;
	} catch (e) {
		layer.msg("json转换失败");
		return null;
	}
	return null;
}

function getAccessToken(callback) {
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; // android终端
	var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); // ios终端
	if (sessionStorage.accessToken) {
		baseData = {
			accessToken : sessionStorage.accessToken
		};
		return;
	}
	if (isAndroid) {
		var accessToken = window.jsbrige.getAccessToken();
		baseData = {
			accessToken : accessToken
		};
		sessionStorage.accessToken = accessToken;
	} else if (isiOS) {
		setTitleFromIOS(callback);
		getAccessTokenFromIOS(callback);
	} else {
		baseData = {
			accessToken : ""
		};
	}
}
function makeParams(e) {
	if (e.resultCode == 1) {
		baseData.accessToken = e.resultBody.accessToken;
		sessionStorage.accessToken = e.resultBody.accessToken;
	} else {
		alert(e.resultMsg);
	}
}