/**
 * @description Style控件
 * @param platform 实例化的平台类型(默认android)
 */
function Style(platform) {
	this.codes = [];
	this.platform = platform;// android, iphone, ipad, terminal, pc
	if (!platform)
		this.platform = 'android';// 不传参数则默认android样式
}
Style.prototype.tip = function(content, time, state) {
	var className;
	switch (state) {
	case 1:
		className = 'success';
		break;
	case 2:
		className = 'info';
		break;
	case 3:
		className = 'warn';
		break;
	case 4:
		className = 'danger';
		break;
	default:
		break;
	}
	layer.open({
		content : content,
		className : 'layer-alert ' + className,
		shade : false,
		time : time
	});
};
Style.prototype.confirm = function(content, yes, no) {
	layer.open({
		style : "min-width: 24rem;",
		content : content,
		btn : [ "确定", "取消" ],
		yes : function() {
			yes();
		},
		no : function() {
			no();
		}
	});
};
Style.prototype.noResultMsg = function(serviceName, pageParam, msg) {
	if (!pageParam) {
		pageParam = "content";
	}
	if (msg == 'si') {
		msg = "亲，抱歉！没有查询到您想要查询的 " + serviceName + " ，请确认您是否参加过此险种或重新调整您的查询条件再试下哦。";
	} else if (msg == 'notSi') {
		msg = "亲，抱歉！没有查询到您想要查询的 " + serviceName + " 。";
	}
	var html = "<div style='text-align:center'><div style='margin-left:auto;margin-right:auto;'><img src='../../theme/images/monitor.png' /><h3>" + msg + "</h3></div></div>";
	$("#" + pageParam + "").append(html);
};
Style.prototype.load = function() {
	layer.open({
		type : 2
	});
};
Style.prototype.hide = function() {
	$(".laymloadtwo").parents('.layermbox').remove();
};
Style.prototype.modal = function(title, modal, btn1, btn2, fun) {
	layer.open({
		type : 1,
		title : title,
		content : modal,
		btn : [ btn2, btn1 ],
		yes : function() {
			fun();
		},
		no : function() {

		}
	});
};

// 样式类型转换
Style.prototype.setPlatForm = function(platform) {
	this.platform = platform;
};

// 生成菜单
Style.prototype.makeMenu = function(menuArray) {
	var html = '';
	var length = menuArray.length;
	for (var i = 0; i < length; ++i) {
		html += '<li>';
		html += '<a href="' + menuArray[i].url + '">';
		html += '<i class="' + menuArray[i].className + '" style="margin:0 10px 0 0;"></i>';
		html += '' + menuArray[i].name + '';
		html += '</li>';
	}
	$("#menuList").html(html);
};

/**
 * @description 生成展示表格
 * @param codeObj 表格字段类
 * @param obj 数据内容
 * @param pageParam 绘制的目的ID
 */
Style.prototype.makeTable = function(codeObj, obj, pageParam) {
	if (!pageParam) {
		pageParam = "content";
	}
	var html = '';
	var isTipHide = false;
	var codes = codeObj.codes;
	for (var i = 0; i < obj.queryList.length; ++i) {
		var data = obj.queryList[i];
		html += '<div class="block">';
		// 表格内容
		for (var j = 0; j < codes.length; ++j) {
			if (codes[j].isTipShow == 1) {
				html += '<div class="show-msg">';
			} else {
				html += '<div class="show-msg line_hide">';
				isTipHide = true;
			}
			html += '<label class="group-label">' + codes[j].name + '</label>';
			html += '<p>' + Format[codes[j].format](data[codes[j].code]) + '</p>';
			html += '</div>';
		}
		// 有隐藏项
		if (isTipHide) {
			html += '<div class="show-msg tc myxqbtn"><label class="group-link">展开详情</label></div>';
		}
		// 有跳转url
		if (codeObj.link_url != "") {
			var url = codeObj.link_url;
			var param00 = codeObj.link_param;
			for (var k = 0; k < param00.length; ++k) {
				url += '&' + param00[k] + '=' + data[param00[k]];
			}
			html += '<div class="show-msg tr">' + '<a class="detail" href="' + url + '">' + codeObj.link_text + '</a>' + '</div>'
		}
		// 有跳转方法(单参数)
		if (codeObj.link_func != "") {
			var str = codeObj.link_str;
			html += '<div class="show-msg tr">' + '<a class="detail" href="javascript:' + codeObj.link_func + '(\'' + data[str] + '\');">' + codeObj.link_text + '</a>' + '</div>'
		}
		// 有跳转方法(3参数)
		if (codeObj.link_func3 != "") {
			var param00 = codeObj.link_param;
			html += '<div class="show-msg tr">' + '<a class="detail" href="javascript:' + codeObj.link_func3 + '(\'' + data[param00[0]] + '\',\'' + data[param00[1]] + '\',\'' + data[param00[2]] + '\');">' + codeObj.link_text + '</a>' + '</div>'
		}
		html += '</div>';
	}
	$("#" + pageParam + "").append(html);
	$(".myxqbtn").unbind("click");
	if (isTipHide) {
		$(".myxqbtn").click(function() {
			var $label = $(this).find('label');
			if ($label.text() == "展开详情") {
				$(this).parent().find(".line_hide").css("display", "flex");
				$label.text("折叠详情");
			} else {
				$(this).parent().find(".line_hide").hide();
				$label.text("展开详情");
			}
		});
	}
};
// 初始化日期插件
Style.prototype.initDate = function(param1, param2) {
	var self = this;
	if (!param1)
		param1 = 'param1';
	if (!param2)
		param2 = 'param2';
	var dateFormat = params.dateFormat;
	var initYearAgo = params.initYearAgo;
	if (!dateFormat)
		dateFormat = 'yyyy-mm';
	if (!initYearAgo)
		initYearAgo = 1;

	var nowDate = new Date();
	var yearAgo = new Date();
	yearAgo.setFullYear(nowDate.getFullYear() - initYearAgo);
	var beginDate = yearAgo.format(dateFormat);
	var endDate = nowDate.format(dateFormat);
	$('#' + param1).val(beginDate);
	$('#' + param2).val(endDate);

	var opt = {
		theme : "android-ics light",// 皮肤样式
		lang : 'zh',// 语言
		display : "bottom",// 显示方式
		mode : 'scroller',// 日期选择模式
		dateOrder : 'yymm',// 面板中日期排列格式
		// dayText : '日',
		// monthText : '月',
		// yearText : '年', // 面板中年月日文字
		dateFormat : 'yyyy-mm'// 日期格式
	};
	$('#' + param1).mobiscroll().date(opt);
	$('#' + param2).mobiscroll().date(opt);
};
// 初始化选择插件
Style.prototype.initSelect = function(param, list) {
	list.forEach(function(opt) {
		$('#' + param).append(' <option value="' + opt.value + '">' + opt.text + '</option>');
	});
};